Bug 26805 - Keymap issues?
Summary: Keymap issues?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-09 09:15 UTC by Ed McKenzie
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 02:41:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed McKenzie 2001-02-09 09:15:33 UTC
Selecting the 104-key keyboard in anaconda causes my Windows and Alt keys
to be swapped once the system is up. Same problem on 7.0, but not 6.2,
ISTR.

Comment 1 Glen Foster 2001-02-10 00:00:50 UTC
Re-assigning to mharris, per the reqeust of pbrown -- Mike, please get on this
one ASAP.

Comment 2 Mike A. Harris 2001-02-10 07:26:59 UTC
I don't have a Win95 keyboard to test with, although I think I found the
correct file that needs to be modified.  Not sure what needs to be changed
though.

On the system:
/usr/X11R6/lib/X11/xkb/symbols/us

In XFree86 source:

xc/programs/xkbcomp/symbols/us

Can someone with a Windows 95 104 key keyboard check this out, perhaps find
a solution?  Alternatively, can someone send me a 104 key keyboard?

Comment 3 Ed McKenzie 2001-02-12 03:43:20 UTC
Choosing 105-key Int'l for the keyboard type seems to fix it. However, I'm
fairly sure I only have 104 keys, as this is a plain-vanilla US keyboard.

Comment 4 Trond Eivind Glomsrxd 2001-02-28 05:14:42 UTC
Are you sure they actually are swapped? I vaguely remember having this setup
before: alt is alt, windows keys are now meta (what alt usually is).

Comment 5 Ed McKenzie 2001-02-28 05:54:11 UTC
I don't know if they're "actually swapped," but after installing Fisher I
noticed that Alt-Fx no longer switched desktops in GNOME and that emacs metakeys
seemed to not work as I expected. After some fooling around I figured out that
the Win key was doing what Alt did for me in older RH releases.

Anyway, installing Wolverine with a 105-key keyboard (the default) seemed to fix
it, but I think maybe there should be clarification on what the difference is
between that and 104?

Comment 6 Brent Fox 2001-03-01 01:22:02 UTC
Ok, I have a 104 key keyboard that I'm willing to test on.  I did an install
with Wolverine and things seem to be messed up with the Alt-Ctrl-Windows key.
The Windows key behaves like Alt...so the <Windows><Tab> combination scrolls
through window selections.  Mike, if you know what needs to be fixed, please
give it a try.  Reassign it to me if you need further testing.

Comment 7 Ed McKenzie 2001-03-01 02:41:52 UTC
Sorry my description was lacking ... really, really long week. :)

I'm seeing exactly what bfox@redhat.com is seeing, namely, Win-tab being 
necessary to switch apps and Alt-tab doing nothing at all. Likewise, Win-Fx 
switches desktops, while Alt-Fx does nothing. Reinstalling Wolverine with the 
105-key keyboard did seem to fix it, but I definitely have a 104-key keyboard.


Comment 8 Mike A. Harris 2001-03-19 04:00:35 UTC
Fixed in Rawhide.  Try out XFree86-4.0.3 + Mesa 3.4-13


Note You need to log in before you can comment on or make changes to this bug.